#include <stdio.h>
#include <math.h>

#define eps 1e-12

double l,r,r2;
double sc,hs,ts;

const double PI=3.1415926535897932384626;

double findcirc(double rs) {
	double l=0,r=PI,c;
	double s;
	while (r-l>1e-12) {
		c=0.5*(l+r);
		s=r2*(c-sin(c));
		if (s<rs) l=c;
		else r=c;
	}
	return ::r*cos(0.5*r);
}

double div (double s) {
	if (s+eps<sc) return r-findcirc(s);
	if (s+eps>=ts) return l+2.0*r;
	if (s>eps+hs) return l+r+findcirc(ts-s);
	return 0.5*(s-sc)/r+r;
}

int main () {

	freopen ("sausage.in","r",stdin);
	freopen ("sausage.out","w",stdout);

	long n,i;

	scanf ("%lf %lf %ld",&l,&r,&n);

	r2=r*r/2.0;
	sc=r2*PI;
	hs=sc+2.0*l*r;
	ts=hs+sc;

	for (i=1;i<n;i++) printf ("%.6lf\n",div(i*ts/n));


	return 0;
}